# Form implementation generated from reading ui file 'src/eric7/UI/FindFileWidget.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_FindFileWidget(object):
    def setupUi(self, FindFileWidget):
        FindFileWidget.setObjectName("FindFileWidget")
        FindFileWidget.resize(600, 800)
        self.verticalLayout = QtWidgets.QVBoxLayout(FindFileWidget)
        self.verticalLayout.setObjectName("verticalLayout")
        self.gridLayout_3 = QtWidgets.QGridLayout()
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.TextLabel1 = QtWidgets.QLabel(parent=FindFileWidget)
        self.TextLabel1.setObjectName("TextLabel1")
        self.gridLayout_3.addWidget(self.TextLabel1, 0, 0, 1, 1)
        self.findtextCombo = QtWidgets.QComboBox(parent=FindFileWidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.findtextCombo.sizePolicy().hasHeightForWidth())
        self.findtextCombo.setSizePolicy(sizePolicy)
        self.findtextCombo.setEditable(True)
        self.findtextCombo.setInsertPolicy(QtWidgets.QComboBox.InsertPolicy.InsertAtTop)
        self.findtextCombo.setSizeAdjustPolicy(QtWidgets.QComboBox.SizeAdjustPolicy.AdjustToMinimumContentsLengthWithIcon)
        self.findtextCombo.setDuplicatesEnabled(False)
        self.findtextCombo.setObjectName("findtextCombo")
        self.gridLayout_3.addWidget(self.findtextCombo, 0, 1, 1, 1)
        self.modeToggleButton = QtWidgets.QToolButton(parent=FindFileWidget)
        self.modeToggleButton.setObjectName("modeToggleButton")
        self.gridLayout_3.addWidget(self.modeToggleButton, 0, 2, 1, 1)
        self.replaceLabel = QtWidgets.QLabel(parent=FindFileWidget)
        self.replaceLabel.setObjectName("replaceLabel")
        self.gridLayout_3.addWidget(self.replaceLabel, 1, 0, 1, 1)
        self.replacetextCombo = QtWidgets.QComboBox(parent=FindFileWidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.replacetextCombo.sizePolicy().hasHeightForWidth())
        self.replacetextCombo.setSizePolicy(sizePolicy)
        self.replacetextCombo.setEditable(True)
        self.replacetextCombo.setInsertPolicy(QtWidgets.QComboBox.InsertPolicy.InsertAtTop)
        self.replacetextCombo.setSizeAdjustPolicy(QtWidgets.QComboBox.SizeAdjustPolicy.AdjustToMinimumContentsLengthWithIcon)
        self.replacetextCombo.setDuplicatesEnabled(False)
        self.replacetextCombo.setObjectName("replacetextCombo")
        self.gridLayout_3.addWidget(self.replacetextCombo, 1, 1, 1, 1)
        self.verticalLayout.addLayout(self.gridLayout_3)
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setSpacing(0)
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_2.addItem(spacerItem)
        self.caseToolButton = QtWidgets.QToolButton(parent=FindFileWidget)
        self.caseToolButton.setCheckable(True)
        self.caseToolButton.setObjectName("caseToolButton")
        self.horizontalLayout_2.addWidget(self.caseToolButton)
        self.wordToolButton = QtWidgets.QToolButton(parent=FindFileWidget)
        self.wordToolButton.setCheckable(True)
        self.wordToolButton.setObjectName("wordToolButton")
        self.horizontalLayout_2.addWidget(self.wordToolButton)
        self.escapeToolButton = QtWidgets.QToolButton(parent=FindFileWidget)
        self.escapeToolButton.setCheckable(True)
        self.escapeToolButton.setObjectName("escapeToolButton")
        self.horizontalLayout_2.addWidget(self.escapeToolButton)
        self.regexpToolButton = QtWidgets.QToolButton(parent=FindFileWidget)
        self.regexpToolButton.setCheckable(True)
        self.regexpToolButton.setObjectName("regexpToolButton")
        self.horizontalLayout_2.addWidget(self.regexpToolButton)
        spacerItem1 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_2.addItem(spacerItem1)
        self.verticalLayout.addLayout(self.horizontalLayout_2)
        self.fileOptionsWidget = QtWidgets.QTabWidget(parent=FindFileWidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(1)
        sizePolicy.setHeightForWidth(self.fileOptionsWidget.sizePolicy().hasHeightForWidth())
        self.fileOptionsWidget.setSizePolicy(sizePolicy)
        self.fileOptionsWidget.setObjectName("fileOptionsWidget")
        self.fileTypeTab = QtWidgets.QWidget()
        self.fileTypeTab.setObjectName("fileTypeTab")
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(self.fileTypeTab)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.fileTypeList = QtWidgets.QListWidget(parent=self.fileTypeTab)
        self.fileTypeList.setMinimumSize(QtCore.QSize(0, 125))
        self.fileTypeList.setAlternatingRowColors(True)
        self.fileTypeList.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.NoSelection)
        self.fileTypeList.setObjectName("fileTypeList")
        self.verticalLayout_3.addWidget(self.fileTypeList)
        self.line = QtWidgets.QFrame(parent=self.fileTypeTab)
        self.line.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line.setObjectName("line")
        self.verticalLayout_3.addWidget(self.line)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.filterCheckBox = QtWidgets.QCheckBox(parent=self.fileTypeTab)
        self.filterCheckBox.setObjectName("filterCheckBox")
        self.horizontalLayout.addWidget(self.filterCheckBox)
        self.filterComboBox = QtWidgets.QComboBox(parent=self.fileTypeTab)
        self.filterComboBox.setEnabled(False)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.filterComboBox.sizePolicy().hasHeightForWidth())
        self.filterComboBox.setSizePolicy(sizePolicy)
        self.filterComboBox.setObjectName("filterComboBox")
        self.horizontalLayout.addWidget(self.filterComboBox)
        self.filtersConfigButton = QtWidgets.QToolButton(parent=self.fileTypeTab)
        self.filtersConfigButton.setObjectName("filtersConfigButton")
        self.horizontalLayout.addWidget(self.filtersConfigButton)
        self.verticalLayout_3.addLayout(self.horizontalLayout)
        self.fileOptionsWidget.addTab(self.fileTypeTab, "")
        self.findInTab = QtWidgets.QWidget()
        self.findInTab.setObjectName("findInTab")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.findInTab)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.projectButton = QtWidgets.QRadioButton(parent=self.findInTab)
        self.projectButton.setChecked(True)
        self.projectButton.setObjectName("projectButton")
        self.verticalLayout_2.addWidget(self.projectButton)
        self.dirButton = QtWidgets.QRadioButton(parent=self.findInTab)
        self.dirButton.setObjectName("dirButton")
        self.verticalLayout_2.addWidget(self.dirButton)
        self.dirPicker = EricComboPathPicker(parent=self.findInTab)
        self.dirPicker.setEnabled(False)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.dirPicker.sizePolicy().hasHeightForWidth())
        self.dirPicker.setSizePolicy(sizePolicy)
        self.dirPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.WheelFocus)
        self.dirPicker.setObjectName("dirPicker")
        self.verticalLayout_2.addWidget(self.dirPicker)
        self.openFilesButton = QtWidgets.QRadioButton(parent=self.findInTab)
        self.openFilesButton.setObjectName("openFilesButton")
        self.verticalLayout_2.addWidget(self.openFilesButton)
        spacerItem2 = QtWidgets.QSpacerItem(20, 20, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_2.addItem(spacerItem2)
        self.fileOptionsWidget.addTab(self.findInTab, "")
        self.verticalLayout.addWidget(self.fileOptionsWidget)
        self.excludeHiddenCheckBox = QtWidgets.QCheckBox(parent=FindFileWidget)
        self.excludeHiddenCheckBox.setChecked(True)
        self.excludeHiddenCheckBox.setObjectName("excludeHiddenCheckBox")
        self.verticalLayout.addWidget(self.excludeHiddenCheckBox)
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        spacerItem3 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_3.addItem(spacerItem3)
        self.findButton = QtWidgets.QPushButton(parent=FindFileWidget)
        self.findButton.setObjectName("findButton")
        self.horizontalLayout_3.addWidget(self.findButton)
        self.stopButton = QtWidgets.QPushButton(parent=FindFileWidget)
        self.stopButton.setObjectName("stopButton")
        self.horizontalLayout_3.addWidget(self.stopButton)
        spacerItem4 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_3.addItem(spacerItem4)
        self.verticalLayout.addLayout(self.horizontalLayout_3)
        self.line_2 = QtWidgets.QFrame(parent=FindFileWidget)
        self.line_2.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line_2.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line_2.setObjectName("line_2")
        self.verticalLayout.addWidget(self.line_2)
        self.horizontalLayout_4 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_4.setObjectName("horizontalLayout_4")
        self.findProgressLabel = EricSqueezeLabelPath(parent=FindFileWidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.findProgressLabel.sizePolicy().hasHeightForWidth())
        self.findProgressLabel.setSizePolicy(sizePolicy)
        self.findProgressLabel.setText("")
        self.findProgressLabel.setObjectName("findProgressLabel")
        self.horizontalLayout_4.addWidget(self.findProgressLabel)
        self.clearButton = QtWidgets.QPushButton(parent=FindFileWidget)
        self.clearButton.setObjectName("clearButton")
        self.horizontalLayout_4.addWidget(self.clearButton)
        self.verticalLayout.addLayout(self.horizontalLayout_4)
        self.findProgress = QtWidgets.QProgressBar(parent=FindFileWidget)
        self.findProgress.setProperty("value", 0)
        self.findProgress.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.findProgress.setObjectName("findProgress")
        self.verticalLayout.addWidget(self.findProgress)
        self.findList = QtWidgets.QTreeWidget(parent=FindFileWidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(5)
        sizePolicy.setHeightForWidth(self.findList.sizePolicy().hasHeightForWidth())
        self.findList.setSizePolicy(sizePolicy)
        self.findList.setAlternatingRowColors(True)
        self.findList.setColumnCount(2)
        self.findList.setObjectName("findList")
        self.verticalLayout.addWidget(self.findList)
        self.replaceButton = QtWidgets.QPushButton(parent=FindFileWidget)
        self.replaceButton.setObjectName("replaceButton")
        self.verticalLayout.addWidget(self.replaceButton)
        self.TextLabel1.setBuddy(self.findtextCombo)
        self.replaceLabel.setBuddy(self.findtextCombo)

        self.retranslateUi(FindFileWidget)
        self.fileOptionsWidget.setCurrentIndex(0)
        self.dirButton.toggled['bool'].connect(self.dirPicker.setEnabled) # type: ignore
        self.filterCheckBox.toggled['bool'].connect(self.filterComboBox.setEnabled) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(FindFileWidget)
        FindFileWidget.setTabOrder(self.findtextCombo, self.modeToggleButton)
        FindFileWidget.setTabOrder(self.modeToggleButton, self.replacetextCombo)
        FindFileWidget.setTabOrder(self.replacetextCombo, self.caseToolButton)
        FindFileWidget.setTabOrder(self.caseToolButton, self.wordToolButton)
        FindFileWidget.setTabOrder(self.wordToolButton, self.escapeToolButton)
        FindFileWidget.setTabOrder(self.escapeToolButton, self.regexpToolButton)
        FindFileWidget.setTabOrder(self.regexpToolButton, self.fileOptionsWidget)
        FindFileWidget.setTabOrder(self.fileOptionsWidget, self.fileTypeList)
        FindFileWidget.setTabOrder(self.fileTypeList, self.filterCheckBox)
        FindFileWidget.setTabOrder(self.filterCheckBox, self.filterComboBox)
        FindFileWidget.setTabOrder(self.filterComboBox, self.filtersConfigButton)
        FindFileWidget.setTabOrder(self.filtersConfigButton, self.projectButton)
        FindFileWidget.setTabOrder(self.projectButton, self.dirButton)
        FindFileWidget.setTabOrder(self.dirButton, self.dirPicker)
        FindFileWidget.setTabOrder(self.dirPicker, self.openFilesButton)
        FindFileWidget.setTabOrder(self.openFilesButton, self.excludeHiddenCheckBox)
        FindFileWidget.setTabOrder(self.excludeHiddenCheckBox, self.findButton)
        FindFileWidget.setTabOrder(self.findButton, self.stopButton)
        FindFileWidget.setTabOrder(self.stopButton, self.clearButton)
        FindFileWidget.setTabOrder(self.clearButton, self.findList)
        FindFileWidget.setTabOrder(self.findList, self.replaceButton)

    def retranslateUi(self, FindFileWidget):
        _translate = QtCore.QCoreApplication.translate
        self.TextLabel1.setText(_translate("FindFileWidget", "Find &text:"))
        self.findtextCombo.setToolTip(_translate("FindFileWidget", "Enter the search text or regular expression"))
        self.modeToggleButton.setToolTip(_translate("FindFileWidget", "Press to toggle the mode between find and replace mode"))
        self.replaceLabel.setText(_translate("FindFileWidget", "Replace te&xt:"))
        self.replacetextCombo.setToolTip(_translate("FindFileWidget", "Enter the replacement text or regular expression"))
        self.caseToolButton.setToolTip(_translate("FindFileWidget", "Select to match case sensitive"))
        self.wordToolButton.setToolTip(_translate("FindFileWidget", "Select to match whole words only"))
        self.escapeToolButton.setToolTip(_translate("FindFileWidget", "Select if the search or replace text contains escape codes"))
        self.regexpToolButton.setToolTip(_translate("FindFileWidget", "Select if the searchtext is a regular expression"))
        self.fileTypeList.setToolTip(_translate("FindFileWidget", "Select the file types to search in"))
        self.fileTypeList.setSortingEnabled(True)
        self.filterCheckBox.setToolTip(_translate("FindFileWidget", "Select to filter the files by a given filename pattern"))
        self.filterCheckBox.setText(_translate("FindFileWidget", "Fi&lter"))
        self.filterComboBox.setToolTip(_translate("FindFileWidget", "Select the file filter to apply."))
        self.filtersConfigButton.setToolTip(_translate("FindFileWidget", "Press to open a dialog to edit the list of defined filters."))
        self.fileOptionsWidget.setTabText(self.fileOptionsWidget.indexOf(self.fileTypeTab), _translate("FindFileWidget", "File Type"))
        self.projectButton.setToolTip(_translate("FindFileWidget", "Search in files of the current project"))
        self.projectButton.setText(_translate("FindFileWidget", "&Project"))
        self.dirButton.setToolTip(_translate("FindFileWidget", "Search in files of a directory tree to be entered below"))
        self.dirButton.setText(_translate("FindFileWidget", "&Directory tree"))
        self.dirPicker.setToolTip(_translate("FindFileWidget", "Enter the directory to search in"))
        self.openFilesButton.setToolTip(_translate("FindFileWidget", "Search in open files only "))
        self.openFilesButton.setText(_translate("FindFileWidget", "&Open files only"))
        self.fileOptionsWidget.setTabText(self.fileOptionsWidget.indexOf(self.findInTab), _translate("FindFileWidget", "Find In"))
        self.excludeHiddenCheckBox.setToolTip(_translate("FindFileWidget", "Select to exclude hidden files and directories when searching a directory tree."))
        self.excludeHiddenCheckBox.setText(_translate("FindFileWidget", "Exclude hidden"))
        self.findButton.setToolTip(_translate("FindFileWidget", "Press to start the search process"))
        self.findButton.setText(_translate("FindFileWidget", "Search"))
        self.stopButton.setToolTip(_translate("FindFileWidget", "Press to stop the current search process"))
        self.stopButton.setText(_translate("FindFileWidget", "Stop"))
        self.clearButton.setToolTip(_translate("FindFileWidget", "Press to clear the search results"))
        self.clearButton.setText(_translate("FindFileWidget", "Clear"))
        self.findProgress.setToolTip(_translate("FindFileWidget", "Shows the progress of the search action"))
        self.findProgress.setFormat(_translate("FindFileWidget", "%v/%m Files"))
        self.findList.setSortingEnabled(True)
        self.findList.headerItem().setText(0, _translate("FindFileWidget", "File/Line"))
        self.findList.headerItem().setText(1, _translate("FindFileWidget", "Text"))
        self.replaceButton.setToolTip(_translate("FindFileWidget", "Press to apply the selected replacements"))
        self.replaceButton.setText(_translate("FindFileWidget", "Replace"))
from eric7.EricWidgets.EricPathPicker import EricComboPathPicker
from eric7.EricWidgets.EricSqueezeLabels import EricSqueezeLabelPath
